summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--kde-misc/ksuperkey/files/bind_krunner_to_super_key.patch9
-rw-r--r--kde-misc/ksuperkey/ksuperkey-99999.ebuild37
-rw-r--r--sys-kernel/kogaion-sources/kogaion-sources-3.14.45.ebuild23
-rw-r--r--sys-kernel/linux-kogaion/linux-kogaion-3.14.45.ebuild30
-rw-r--r--www-plugins/freshplayerplugin/Manifest1
-rw-r--r--www-plugins/freshplayerplugin/freshplayerplugin-0.3.0.ebuild50
-rw-r--r--x11-themes/kogaion-artwork-calamares/Manifest2
-rw-r--r--x11-themes/kogaion-artwork-calamares/kogaion-artwork-calamares-2.0-r1.ebuild (renamed from x11-themes/kogaion-artwork-calamares/kogaion-artwork-calamares-2.0.ebuild)0
-rw-r--r--x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild1
9 files changed, 152 insertions, 1 deletions
diff --git a/kde-misc/ksuperkey/files/bind_krunner_to_super_key.patch b/kde-misc/ksuperkey/files/bind_krunner_to_super_key.patch
new file mode 100644
index 00000000..8237c681
--- /dev/null
+++ b/kde-misc/ksuperkey/files/bind_krunner_to_super_key.patch
@@ -0,0 +1,9 @@
+--- ksuperkey.desktop.orig 2014-09-20 02:47:18.006202520 +0300
++++ ksuperkey.desktop 2014-09-20 02:49:39.237793168 +0300
+@@ -1,5 +1,5 @@
+ [Desktop Entry]
+-Exec=ksuperkey
++Exec=ksuperkey -e 'Super_L=Alt_L|F2'
+ X-DBUS-StartupType=none
+ Name=ksuperkey
+ Type=Service
diff --git a/kde-misc/ksuperkey/ksuperkey-99999.ebuild b/kde-misc/ksuperkey/ksuperkey-99999.ebuild
new file mode 100644
index 00000000..f7e7ad42
--- /dev/null
+++ b/kde-misc/ksuperkey/ksuperkey-99999.ebuild
@@ -0,0 +1,37 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils git-2
+
+DESCRIPTION="Open the KDE Plasma application launcher using the Super key (patched to bind Krunner to Super key)"
+HOMEPAGE="https://github.com/hanschen/ksuperkey"
+
+EGIT_BRANCH=master
+EGIT_REPO_URI="https://github.com/hanschen/ksuperkey.git"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 x86"
+
+IUSE=""
+DEPEND="x11-libs/libXtst
+ x11-libs/libX11"
+
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PN}
+
+
+src_prepare() {
+ epatch -p0 ${FILESDIR}/bind_krunner_to_super_key.patch
+}
+
+src_compile() {
+ cd "${S}"
+ make || die "Make failed"
+}
+
+src_install() {
+ default
+}
diff --git a/sys-kernel/kogaion-sources/kogaion-sources-3.14.45.ebuild b/sys-kernel/kogaion-sources/kogaion-sources-3.14.45.ebuild
new file mode 100644
index 00000000..69db2638
--- /dev/null
+++ b/sys-kernel/kogaion-sources/kogaion-sources-3.14.45.ebuild
@@ -0,0 +1,23 @@
+# Copyright 2004-2013 Sabayon Linux
+# Copyright 2004-2014 Kogaion, Argent and ArgOS Linux
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+K_ROGKERNEL_NAME="kogaion"
+K_ROGKERNEL_URI_CONFIG="yes"
+K_ROGKERNEL_SELF_TARBALL_NAME="kogaion"
+K_ONLY_SOURCES="1"
+K_ROGKERNEL_FORCE_SUBLEVEL="0"
+K_KERNEL_NEW_VERSIONING="1"
+
+inherit kogaion-kernel
+
+KEYWORDS="~amd64 ~arm ~x86"
+DESCRIPTION="Official Kogaion Linux Standard kernel sources"
+RESTRICT="mirror"
+IUSE="sources_standalone"
+
+DEPEND="${DEPEND}
+ sources_standalone? ( !=sys-kernel/linux-kogaion-${PVR} )
+ !sources_standalone? ( =sys-kernel/linux-kogaion-${PVR} )"
diff --git a/sys-kernel/linux-kogaion/linux-kogaion-3.14.45.ebuild b/sys-kernel/linux-kogaion/linux-kogaion-3.14.45.ebuild
new file mode 100644
index 00000000..a8ff21b3
--- /dev/null
+++ b/sys-kernel/linux-kogaion/linux-kogaion-3.14.45.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2004-2013 Sabayon Linux
+# Copyright 2015 Kogaion
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit versionator
+
+K_ROGKERNEL_SELF_TARBALL_NAME="kogaion"
+K_REQUIRED_LINUX_FIRMWARE_VER="20150320"
+K_ROGKERNEL_FORCE_SUBLEVEL="0"
+K_ROGKERNEL_PATCH_UPSTREAM_TARBALL="0"
+
+_ver="$(get_version_component_range 1-2)"
+if use arm; then
+ K_KERNEL_IMAGE_NAME="uImage dtbs"
+elif [ "${_ver}" = "3.9" ]; then
+ K_ROGKERNEL_ZFS="1"
+fi
+K_KERNEL_NEW_VERSIONING="1"
+
+K_MKIMAGE_RAMDISK_ADDRESS="0x81000000"
+K_MKIMAGE_RAMDISK_ENTRYPOINT="0x00000000"
+K_MKIMAGE_KERNEL_ADDRESS="0x80008000"
+
+inherit kogaion-kernel
+
+KEYWORDS="~amd64 ~x86"
+DESCRIPTION="Official Kogaion Linux Standard kernel image"
+RESTRICT="mirror"
diff --git a/www-plugins/freshplayerplugin/Manifest b/www-plugins/freshplayerplugin/Manifest
index b713beb1..cdde7ddf 100644
--- a/www-plugins/freshplayerplugin/Manifest
+++ b/www-plugins/freshplayerplugin/Manifest
@@ -1,2 +1,3 @@
DIST freshplayerplugin-0.2.1.tar.gz 296795 SHA256 eec2baba2c1cdc2d60b5352c59208bee3d6e7bddd2fe7b6c96478fd287d125b1 SHA512 9daf87e8aeb9ac7056bb8d75e665f7ec79631b943dd7c7481de6badf43d08f4ebc603bbf007da8f2ea8472befdb3d97ab88c741118c9649c7848ef692fb11f6e WHIRLPOOL 2598b5f63023b74e6a8a1514b7d56f88294a3d281bbf053c01a3cc9d60ba0828819a846093dc250a93ab4710c0a568d916c2939169de9c886c9fd3b3ee5279fd
DIST freshplayerplugin-0.2.2.tar.gz 393692 SHA256 c83a9d02a91f876be1a01882730a9dc54c57b3b2ea2383a2652ca3f705d3314e SHA512 ac70dd3e8ce9577d80c60fc60ee01e260c50da27956cad0096d76af51d2e58905a9738980d3aa08dbb5319f04abea1a4e2a75a4c74ed5e276b30cb470d376560 WHIRLPOOL 830e6a564bff90e2e4facc28fb89c9546958c2d93f044e6ae24fa641a2f4427cf1887aa17cdbb19f718bcf7c4782d6cae2ed5c0b263ba211891a7d45aa7eda9e
+DIST freshplayerplugin-0.3.0.tar.gz 2706001 SHA256 ca0281884874f010243496567e9f6717dfea5fdf0406ee39260d234fd57f247e SHA512 5e72131959a119805dcee9fd8d7e5eda0a2100de34eba75643adab7543ec5120babce2b824f8813763da83927c599c14db5ef93ab8ae83a7ea4b942ca4746445 WHIRLPOOL 7cc4867034a0374640e36378665ffa831ea164610b3bb57f607e3f9648e6dc609ee6196a11c781b8f4f138e22e7e9689b2f642258110e088d4eb17e9f820b47f
diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.0.ebuild b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.0.ebuild
new file mode 100644
index 00000000..1c650fe8
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils cmake-multilib nsplugins
+
+DESCRIPTION="ppapi2npapi compatibility layer"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT LGPL-2.1"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-util/ragel
+ dev-libs/libconfig
+ media-libs/freetype:2
+ >=dev-libs/glib-2.38.2-r1:2
+ >=dev-util/cmake-2.8.8
+ >=media-libs/alsa-lib-1.0.28
+ >=x11-libs/pango-1.36.5
+ >=x11-libs/gtk+-2.20:2
+ >=media-libs/mesa-10.0.4
+ >=dev-libs/libevent-2.0.21-r1
+ "
+RDEPEND="
+ www-plugins/chrome-binary-plugins"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+multilib_src_configure() {
+ local mycmakeargs="-DFRESHPLAYERPLUGINPATH=${EPREFIX}/usr/$(get_libdir)/freshplayerplugin"
+
+ cmake-utils_src_configure
+}
+
+multilib_src_install() {
+ # install the wrapper
+ exeinto /usr/$(get_libdir)/${PLUGINS_DIR}
+ doexe libfreshwrapper-pepperflash.so
+ # install wrapper configuration file
+ cd "${S}"
+ dodir /usr/share/${PN} || die
+ insinto /usr/share/${PN} || die
+ doins -r "${S}"/data/freshwrapper.conf.example || die
+ dosym /usr/share/${PN}/freshwrapper.conf.example /etc/freshwrapper.conf || die
+}
diff --git a/x11-themes/kogaion-artwork-calamares/Manifest b/x11-themes/kogaion-artwork-calamares/Manifest
index fccfbd42..105cfae9 100644
--- a/x11-themes/kogaion-artwork-calamares/Manifest
+++ b/x11-themes/kogaion-artwork-calamares/Manifest
@@ -1 +1 @@
-DIST kogaion-artwork-calamares-2.0.tar.bz2 1431645 SHA256 80e63decbe16cb899c5d2ba0dcf7ac95124a5b3754e6421d4c7480bd9a78a681 SHA512 13f3468deb995a1378713e151dcb8a4c12c41743ba9858675c0d832b6364580c465fdccfa1269510b816c7d645ef18d40519ebdf119b2c56ab7e01da520780f7 WHIRLPOOL c411c143dd106ae2f197b25c5b2c8710c2e8e9ca607bf5cb174d6797abc3a7076b0671a3a59acea51b9c9407dc2fe8ad039db55693ca60fd8f4cdf5c3fd3d2d1
+DIST kogaion-artwork-calamares-2.0.tar.bz2 1518435 SHA256 0daabcaae3aee25e8487ecbfbbeb320a54f895944e78aa57c2c096dedc712565 SHA512 51a9a78905f16a8d1737de3cda4649cfc95ab3ae862feacdd1fab2a1c0d454c6afb2cad60049a6d30fb4b67d8bc1210266c362d2a0c38b7791b5e313cc7f52ba WHIRLPOOL 6b0cfa9aaa83f5bf2464997bbcf5261bb70122da73f6a2a1e303b4350e62ddf78b3f4cb4f91afa81bc0ee76d93518c69382094e66b0790205522ffd90a5075b0
diff --git a/x11-themes/kogaion-artwork-calamares/kogaion-artwork-calamares-2.0.ebuild b/x11-themes/kogaion-artwork-calamares/kogaion-artwork-calamares-2.0-r1.ebuild
index 3584ed2c..3584ed2c 100644
--- a/x11-themes/kogaion-artwork-calamares/kogaion-artwork-calamares-2.0.ebuild
+++ b/x11-themes/kogaion-artwork-calamares/kogaion-artwork-calamares-2.0-r1.ebuild
diff --git a/x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild b/x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild
index 62e194e2..fb758cb3 100644
--- a/x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild
+++ b/x11-themes/kogaion-artwork-core/kogaion-artwork-core-2.1.ebuild
@@ -52,6 +52,7 @@ src_install() {
insinto /usr/share/cursors/xorg-x11
dosym RezoBlue /usr/share/cursors/xorg-x11/default || "RezoBlue not found"
+ dosym /usr/share/backgrounds/Kogaion_flame.png /usr/share/backgrounds/kgdm.png || "Failed to copy"
}
pkg_postinst() {